package statistics

import "spaceofcheng/services/models/model"

// CardCouponStatistics 获取卡券统计数据
func (c *StatisticsController) CardCouponStatistics() {
	page, _ := c.GetInt("page")
	pagesize, _ := c.GetInt("pagesize")
	caseids := c.GetString("caseid")
	name := c.GetString("name")
	ctype := c.GetString("ctype")

	if caseids == "" {
		cases := c.Context.Get("cases").([]model.SysUserCase)
		caseids = c.GetCaseIDs(cases)
	}
	list, err := c.serv.CardCouponStatistics(caseids, ctype, name, page, pagesize)
	if err != nil {
		c.ResponseError(err)
	}

	c.ResponseJSON(list)
}

// CardCouponUsedStatistics 获取卡券使用统计数据
func (c *StatisticsController) CardCouponUsedStatistics() {
	page, _ := c.GetInt("page")
	pagesize, _ := c.GetInt("pagesize")
	caseids := c.GetString("caseid")
	name := c.GetString("name")
	receivetype := c.GetString("receivetype")
	tel := c.GetString("tel")
	begindate := c.GetString("begindate")
	enddate := c.GetString("enddate")
	status := c.GetString("status")

	if caseids == "" {
		cases := c.Context.Get("cases").([]model.SysUserCase)
		caseids = c.GetCaseIDs(cases)
	}
	list, err := c.serv.CardCouponUsedStatistics(caseids, tel, name, receivetype, begindate, enddate, status, page, pagesize)
	if err != nil {
		c.ResponseError(err)
	}

	c.ResponseJSON(list)
}

// CardCouponVerifyStatistics 获取卡券核销统计数据
func (c *StatisticsController) CardCouponVerifyStatistics() {
	page, _ := c.GetInt("page")
	pagesize, _ := c.GetInt("pagesize")
	caseids := c.GetString("caseid")
	name := c.GetString("name")
	tel := c.GetString("tel")
	status := c.GetString("status")

	if caseids == "" {
		cases := c.Context.Get("cases").([]model.SysUserCase)
		caseids = c.GetCaseIDs(cases)
	}
	list, err := c.serv.CardCouponVerifyStatistics(caseids, tel, name, status, page, pagesize)
	if err != nil {
		c.ResponseError(err)
	}

	c.ResponseJSON(list)
}
