package statistics

import "spaceofcheng/services/models/model"

// GetCourseOrdersStatistics 获取课程订单统计数据
func (c *StatisticsController) GetCourseOrdersStatistics() {
	page, _ := c.GetInt("page")
	pagesize, _ := c.GetInt("pagesize")
	caseids := c.GetString("caseid")
	name := c.GetString("name")
	typeid := c.GetString("typeid")
	begindate := c.GetString("begindate")
	enddate := c.GetString("enddate")

	if caseids == "" {
		cases := c.Context.Get("cases").([]model.SysUserCase)
		caseids = c.GetCaseIDs(cases)
	}
	ordersList, err := c.serv.GetCourseOrdersStatistics(typeid, caseids, name, begindate, enddate, page, pagesize)
	if err != nil {
		c.ResponseError(err)
	}

	c.ResponseJSON(ordersList)
}

// GetCourseStatistics 获取课程统计数据
func (c *StatisticsController) GetCourseStatistics() {
	page, _ := c.GetInt("page")
	pagesize, _ := c.GetInt("pagesize")
	caseids := c.GetString("caseid")
	name := c.GetString("name")
	typeid := c.GetString("typeid")

	if caseids == "" {
		cases := c.Context.Get("cases").([]model.SysUserCase)
		caseids = c.GetCaseIDs(cases)
	}
	ordersList, err := c.serv.GetCourseStatistics(typeid, caseids, name, page, pagesize)
	if err != nil {
		c.ResponseError(err)
	}

	c.ResponseJSON(ordersList)
}
