package statistics

import "spaceofcheng/services/models/model"

// GetGoodsStatistics 获取商品统计数据
func (c *StatisticsController) GetGoodsStatistics() {
	page, _ := c.GetInt("page")
	pagesize, _ := c.GetInt("pagesize")
	caseids := c.GetString("caseid")
	name := c.GetString("name")
	typeid := c.GetString("typeid")

	if caseids == "" {
		cases := c.Context.Get("cases").([]model.SysUserCase)
		caseids = c.GetCaseIDs(cases)
	}
	goodsList, err := c.serv.GetGoodsStatistics(caseids, typeid, name, page, pagesize)
	if err != nil {
		c.ResponseError(err)
	}

	c.ResponseJSON(goodsList)
}

// GetGoodsOrdersStatistics 获取商品订单统计数据
func (c *StatisticsController) GetGoodsOrdersStatistics() {
	page, _ := c.GetInt("page")
	pagesize, _ := c.GetInt("pagesize")
	caseids := c.GetString("caseid")
	status := c.GetString("status")
	usertype := c.GetString("usertype")
	begindate := c.GetString("begindate")
	enddate := c.GetString("enddate")

	if caseids == "" {
		cases := c.Context.Get("cases").([]model.SysUserCase)
		caseids = c.GetCaseIDs(cases)
	}
	goodsList, err := c.serv.GetGoodsOrdersStatistics(status, usertype, caseids, begindate, enddate, page, pagesize)
	if err != nil {
		c.ResponseError(err)
	}

	c.ResponseJSON(goodsList)
}
